#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 nothunks
version:              0.1.3
visibility:           public
id:                   nothunks-0.1.3-7SjCyq0tZwTCu2YjW9JV6w
key:                  nothunks-0.1.3-7SjCyq0tZwTCu2YjW9JV6w
license:              MIT
copyright:            2018-2021 IOHK
maintainer:           operations@iohk.io
author:               IOHK
synopsis:             Examine values for unexpected thunks
description:
    Long lived application data typically should not contain
    any thunks. This library can be used to examine values for
    unexpected thunks, which can then be used in assertions.
    This can be invaluable in avoiding memory leaks, or tracking
    down existing ones.

category:             Development
abi:                  a0a6f317148c2dcbfa66590bdebd77ad
exposed:              True
exposed-modules:      NoThunks.Class
import-dirs:          /usr/lib/ghc-9.0.2/site-local/nothunks-0.1.3
library-dirs:         /usr/lib/ghc-9.0.2/site-local/nothunks-0.1.3
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/haskell-nothunks
hs-libraries:         HSnothunks-0.1.3-7SjCyq0tZwTCu2YjW9JV6w
depends:
    base-4.15.1.0 bytestring-0.10.12.1 containers-0.6.4.1
    ghc-heap-9.0.2 stm-2.5.0.0 text-1.2.5.0 time-1.9.3
    vector-0.12.3.1-6Jse5cnDdy2CJPq6wEcUm1

haddock-interfaces:   /usr/share/doc/haskell-nothunks/html/nothunks.haddock
haddock-html:         /usr/share/doc/haskell-nothunks/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

